/*
Theme Name: Spectra One Child
Theme URI: 
Author: Jan Pieters Websolutions
Author URI: 
Description: 
Requires at least: 6.0
Tested up to: 6.4.3
Requires PHP: 5.7
Version: 11.6
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Template: spectra-one
Text Domain: spectra-one-child
Tags: 
*/


.wc-block-components-product-rating .wc-block-components-product-rating__stars {color:#fb8e28;}

table.sp-opening-hours-table {text-align: left;}

.payment-logos img {
    width: 35px; /* Set max width to 20px */
    max-width: 35px;
    height: auto; /* Maintain aspect ratio */
    display: inline-block; /* Prevent stretching across the screen */
    margin: 0 5px; /* Add space between logos */
}

@media (max-width: 768px) {
    .payment-logos img {
        width: 25px; /* Slightly smaller logos on smaller screens */
        max-width: 25px;
    }
}

/*correct quantity selector product page*/
.wp-block-woocommerce-add-to-cart-form .variations_button>.quantity:not(.wc-block-components-quantity-selector) .qty, .wp-block-woocommerce-add-to-cart-form form.cart>.quantity:not(.wc-block-components-quantity-selector) .qty {
    margin-right: .5em;
    padding-bottom: 11px;
    padding-top: 10px;
}


.woocommerce div.product form.cart div.quantity .qty {
    margin-right: auto;
}

.woocommerce form textarea {
    width: 100%;
}


/* Zorg ervoor dat de row flex gebruikt (meestal al zo in Gutenberg) */
.header-row {
    display: flex;
    align-items: center;
}

/* Desktop volgorde */
.header-logo { order: 1; }
.header-menu { order: 2; }
.header-search { order: 3; } 
.header-account { order: 4; }
.header-cart { order: 5; }

/* Mobiel volgorde */
@media (max-width: 768px) {
    .header-logo { order: 2; }
.header-menu { order: 1; }
.header-search { order: 3; } 
.header-account { order: 4; }
.header-cart { order: 5; }
}

/*Correctie H2 titels Homepage*/
.wp-block-woocommerce-product-collection h2.wp-block-heading {
  font-size: var(--wp--preset--font-size--xxx-large);
  line-height: var(--wp--custom--line-height--xx-small);
}
